package com.njzscloud.dispose.cst.project.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.njzscloud.common.mp.support.PageParam;
import com.njzscloud.common.mp.support.PageResult;
import com.njzscloud.dispose.cst.project.pojo.entity.ProjectEntity;
import com.njzscloud.dispose.cst.project.pojo.param.ProjectQueryParam;
import com.njzscloud.dispose.cst.project.pojo.result.ProjectResult;

import java.util.List;

/**
 * 项目信息
 * @author ljw
 */
public interface ProjectService extends IService<ProjectEntity> {

    void add(ProjectEntity projectEntity);

    void modify(ProjectEntity projectEntity);

    void del(List<Long> ids);

    ProjectResult detail(Long id);

    PageResult<ProjectResult> paging(PageParam pageParam, ProjectQueryParam queryParam);
}


